//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

namespace TesterModule
{
	using namespace VWFC::PluginSupport;

	// ------------------------------------------------------------------------------------------------------
	class CTool_EventSink : public VWTool_EventSink
	{
	public:
							CTool_EventSink(IVWUnknown* parent);
		virtual				~CTool_EventSink();

	public:
		// Whenever tool needs to draw
		virtual void			Draw(IToolDrawProvider* pDrawProvider);
		// When tool is done getting points
		virtual void			HandleComplete();
	};

	// ------------------------------------------------------------------------------------------------------
	class CExtTool : public VWExtensionTool
	{
		DEFINE_VWExtension;
	public:
										CExtTool(CallBackPtr cbp);
		virtual							~CExtTool();

	};
}
