//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#include "StdAfx.h"

#include "PluginResource.h"

#include "ExtMenu.h"


using namespace VectorWorks::Filing;
using namespace TesterModule;

namespace TesterModule
{
	// --------------------------------------------------------------------------------------------------------
	static SMenuDef		gMenuDef = {
		/*Needs*/				0x00,
		/*NeedsNot*/			0x00,
		/*Title*/				{12000, 1},
		/*Category*/			{12000, 2},
		/*HelpText*/			{12000},
		/*VersionCreated*/		16,
		/*VersoinModified*/		0,
		/*VersoinRetired*/		0,
		/*fContextualHelpID*/	""
	};

	/*static SSTRResource	gMenuChunksDef[] = {
		{ {12000, 4}, "" },
		{ {12000, 5}, "" },
		{ {12000, 6}, "" },
		{ {12000, 7}, "" },
		{ {12000, 8}, "" },
		{ {NULL, NULL}, NULL }
	};*/
}

// --------------------------------------------------------------------------------------------------------
// {CF654321-D193-4E74-A1C0-B1426619FF3A}
IMPLEMENT_VWExtension(
	/*Extension class*/	CExtMenu,
	/*Event sink*/		CMenu_EventSink,
	/*Universal name*/	"CExtMenu_VWPluginWiz1",
	/*Version*/			1,
	/*UUID*/			0xcf654321, 0xd193, 0x4e74, 0xa1, 0xc0, 0xb1, 0x42, 0x66, 0x19, 0xff, 0x3a );

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CExtMenu::CExtMenu(CallBackPtr cbp)
	: VWExtensionMenu( cbp, gMenuDef, NULL )
//	: VWExtensionMenu( cbp, gMenuDef, gMenuChunksDef )
{
}

CExtMenu::~CExtMenu()
{
}

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CMenu_EventSink::CMenu_EventSink(IVWUnknown* parent)
	: VWMenu_EventSink( parent )
{
}

CMenu_EventSink::~CMenu_EventSink()
{
}

TXString CMenu_EventSink::GetContextualHelpID() const
{
	return "";
}

void CMenu_EventSink::DoInterface()
{
	gSDK->AlertInform( "CMenu_EventSink::DoInterface" );

}
